Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor
Class Phonograms

    java.lang.Object
      org.kemet.orm.castor.Phonograms

All Implemented Interfaces:
  java.io.Serializable

    public class Phonograms

extends java.lang.Object
implements java.io.Serializable

Class Phonograms.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`Phonograms()`

Method Summary
`void` | `addPhonogram(int index, Phonogram vPhonogram)`
`void` | `addPhonogram(Phonogram vPhonogram)`
`java.util.Enumeration` | `enumeratePhonogram()` Method enumeratePhonogram.
`Phonogram[]` | `getPhonogram()` Method getPhonogram.Returns the contents of the collection in an Array.
`Phonogram` | `getPhonogram(int index)` Method getPhonogram.
`int` | `getPhonogramCount()` Method getPhonogramCount.
`boolean` | `isValid()` Method isValid.
`java.util.Iterator` | `iteratePhonogram()` Method iteratePhonogram.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllPhonogram()`
`boolean` | `removePhonogram(Phonogram vPhonogram)` Method removePhonogram.
`Phonogram` | `removePhonogramAt(int index)` Method removePhonogramAt.
`void` | `setPhonogram(int index, Phonogram vPhonogram)`
`void` | `setPhonogram(Phonogram[] vPhonogramArray)`
`static Phonograms` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Phonograms

    public Phonograms()

Method Detail

### addPhonogram

    public void addPhonogram(Phonogram vPhonogram)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vPhonogram` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addPhonogram

    public void addPhonogram(int index,
                             Phonogram vPhonogram)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vPhonogram` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumeratePhonogram

    public java.util.Enumeration enumeratePhonogram()

  Method enumeratePhonogram.

  Returns:
    an Enumeration over all possible elements of this collection

### getPhonogram

    public Phonogram getPhonogram(int index)
                           throws java.lang.IndexOutOfBoundsException

  Method getPhonogram.

  Parameters:
    `index` -
  Returns:
    the value of the org.kemet.orm.castor.Phonogram at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getPhonogram

    public Phonogram[] getPhonogram()

  Method getPhonogram.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getPhonogramCount

    public int getPhonogramCount()

  Method getPhonogramCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### iteratePhonogram

    public java.util.Iterator iteratePhonogram()

  Method iteratePhonogram.

  Returns:
    an Iterator over all possible elements in this collection

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllPhonogram

    public void removeAllPhonogram()

### removePhonogram

    public boolean removePhonogram(Phonogram vPhonogram)

  Method removePhonogram.

  Parameters:
    `vPhonogram` -
  Returns:
    true if the object was removed from the collection.

### removePhonogramAt

    public Phonogram removePhonogramAt(int index)

  Method removePhonogramAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setPhonogram

    public void setPhonogram(int index,
                             Phonogram vPhonogram)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vPhonogram` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setPhonogram

    public void setPhonogram(Phonogram[] vPhonogramArray)

  Parameters:
    `vPhonogramArray` -

### unmarshal

    public static Phonograms unmarshal(java.io.Reader reader)
                                throws org.exolab.castor.xml.MarshalException,
                                       org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled org.kemet.orm.castor.Phonograms
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.